## python-enaml 0.19.0

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme
packaging
git+https://github.com/nucleic/cppy@main
git+https://github.com/nucleic/atom@main
git+https://github.com/nucleic/kiwi@main
tools/pygments
