=== debian/changelog ===
python-enaml (0.19.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1100052)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 15 Oct 2025 19:01:34 +0200
