=== debian/control ===
Source: python-enaml
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 herbstluftwm <!nocheck>,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-atom,
 python3-bytecode (>= 0.15.1),
 python3-cppy (>= 1.2.0),
 python3-kiwisolver,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pegen,
 python3-pyqt6 <!nocheck>,
 python3-pyqt6.qsci <!nocheck>,
 python3-pyqt6.qtwebengine <!nocheck>,
 python3-pyqt6.qtsvg <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qtconsole <!nocheck>,
 python3-qtpy <!nocheck>,
 python3-setuptools (>= 61.2),
 python3-setuptools-scm,
 python3-vtk9 <!nocheck>,
 xvfb <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 jdupes <!nodoc>,
 python3-doc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-enaml
Vcs-Git: https://salsa.debian.org/python-team/packages/python-enaml.git
Homepage: https://github.com/nucleic/enaml
Testsuite: autopkgtest-pkg-pybuild

Package: python3-enaml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Declarative DSL for building rich user interfaces in Python
 Enaml is a programming language and framework for creating professional
 quality user interfaces with minimal effort. Enaml combines a domain specific
 declarative language with a constraints based layout system to allow users to
 easily define rich UIs with complex and flexible layouts. Enaml applications
 can be run on any platform which supports Python and Qt.
 .
 A few highlights of the framework:
 .
  * A declarative language which extends the grammar of Python
  * A set of operators which automatically track runtime dependencies
  * A layout system which uses symbolic constraint declarations
  * A design which encourages model-view separation
  * A well documented and easy to follow code base
 .
 This package contains the Python 3 version of enaml.

Package: python-enaml-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Declarative DSL for building rich user interfaces in Python (documentation)
 Enaml is a programming language and framework for creating professional
 quality user interfaces with minimal effort. Enaml combines a domain specific
 declarative language with a constraints based layout system to allow users to
 easily define rich UIs with complex and flexible layouts. Enaml applications
 can be run on any platform which supports Python and Qt.
 .
 A few highlights of the framework:
 .
  * A declarative language which extends the grammar of Python
  * A set of operators which automatically track runtime dependencies
  * A layout system which uses symbolic constraint declarations
  * A design which encourages model-view separation
  * A well documented and easy to follow code base
 .
 This package contains the documentation for enaml.
