=== debian/watch ===
version=4
https://github.com/nucleic/enaml/tags .*/(\d[0-9.]*)@ARCHIVE_EXT@
